$(document).ready(function() {
	var checkSlide = [];
	var checkOutClickSlide = [];
	var lockClickAnimation = false;

	$(".offer-list-button").on('click', function() {
		$(this).css("display", "none");
	});

	function imageGrow(id, path) {

		if (checkSlide[path] != 1) {
			$(id).stop( true, false ).animate({
			    marginTop: "-60px"
			}, {
			    duration: 250,
			    specialEasing: {
			      marginTop: "easeOutQuint",
			    },
			    complete: function() {
			    }
			});
		}
	}

	function imageDecrease(id) {
		$(id).stop( true, false ).animate({
		    marginTop: "0px"
		}, {
		    duration: 250,
		    specialEasing: {
		      marginTop: "easeOutQuint"
		    },
		    complete: function() {
		    
		    }
		});
	}

	function slideGrow(id, gallery, path, callback) {
		$(id).stop( true, false ).animate({
		    top: "-350px",
		    marginTop: "0px"
		}, {
		    duration: 250,
		    specialEasing: {
		      top: "easeOutQuint",
		      marginTop: "easeOutQuint",
		    },
		    complete: function() {
		    	callback();
		    }
		});

		$(path+" .bx-prev").css("display", "block");
		$(path+" .bx-next").css("display", "block");
	}

	function slideHide(callback) {
		for (var i = 0; i<screens.length; i++) {

			var id = screens[i][0];
			var path = screens[i][1];

		  	$('.jcarousel-wrapper').css('cursor', 'pointer');

			$(id).stop(true, false).animate({
			    top: "0",
			    marginTop: "0px"
			}, {
			    duration: 250,
			    specialEasing: {
			      top: "easeOutQuint",
			      marginTop: "easeOutQuint",
			    },
			    complete: function() {
			    	callback();
			    }
			});

			$(path+" .bx-prev").fadeOut();
			$(path+" .bx-next").fadeOut();
		}
	}


	function initScreens(id, gallery) {
		var path = id;
		$(id).mouseover(function() {
			var id = this;
			if (lockClickAnimation == false) {
				imageGrow(id, path);
			}
		});
		$(id).mouseout(function() {
			var id = this;
			if (lockClickAnimation == false) {
				imageDecrease(id);
			}
		});

		$(id).on('click', function() {
			var id = this;
			lockClickAnimation = true;

			slideGrow(id, gallery, path, function (num) {
				lockClickAnimation = false;
			});

			if (checkSlide[path] != 1) {
				$('html, body').animate({
			    	scrollTop: $(gallery).offset().top
			  	}, 300);
			}
			checkSlide[path] = 1;

		  	$(this).css('cursor', 'default');
		});
		// $(id).on('dblclick', function() {
		// 	var id = this;
		// 	slideHide();
		// 	checkSlide[path] = 0;
		// });
	}

	jQuery("body").bind("click", function(e) {
	    var obj = (e.target ? e.target : e.srcElement);
		if(obj.tagName != 'IMG' && obj.tagName !='A' && lockClickAnimation == false) {
				lockClickAnimation = true;
				slideHide(function(num) {
					lockClickAnimation = false;
				});
				checkSlide = [];
		}
	});


	var screens = [
		["#jcarousel1", "#gallery1"],
		["#jcarousel2", "#gallery2"],
		["#jcarousel3", "#gallery3"],
		["#jcarousel4", "#gallery4"],
		["#jcarousel5", "#gallery5"],
		["#jcarousel6", "#gallery6"],
		["#jcarousel7", "#gallery7"],
		["#jcarousel8", "#gallery8"],
		["#jcarousel9", "#gallery9"],
		["#jcarousel10", "#gallery10"],
	];

	for (var i = 0; i < screens.length; i++) {
		var id = screens[i][0];
		var gallery = screens[i][1];

		initScreens(id, gallery);
	}


	function ajx_add(namesAj, phoneAj, textAj) {
		$.ajax({
			url: "send.php",
			beforeSend: function( xhr ) {
				xhr.overrideMimeType( "text/plain; charset=x-user-defined" );
			},
			type: "POST",
			data: { name : namesAj, phone : phoneAj, delivery : textAj},
			dataType: "script"
		})
		.done(function( data ) {
			$("#contact-form").addClass("display_none");
			$("#registration_form").addClass("display_none");
			$("#message_send").removeClass("display_none");
		});

		$("#name").attr("value", "");
		$("#phone").attr("value", "");
		$("#registration_form_textarea").attr("value", "");
	}

	$("#send_ok").click(function() {

		var nameAj = $("#name").attr("value");
		var namesAj = $("#names").attr("value");
		var phoneAj = $("#phone").attr("value");
		var textAj = $("#registration_form_textarea").attr("value");

		if (namesAj != "" && phoneAj != "" && textAj != "" && nameAj == "") {
			$("#send_ok").addClass("display_none");			
			$(".loading").removeClass("display_none");

			ajx_add(namesAj, phoneAj, textAj);
		}
	});


	$('.headline-preview-read-more').hover(function() {
			var th = $(this).find("span")
			th.css('margin-top', '-16px');
			th.css('opacity', '1');

			var t = setTimeout(function() {
				th.css('margin-top', '-16px');
				th.css('opacity', '1');
			}, 120);

		}, function() {
			$(this).find("span").css('margin-top', '52px');
			$(this).find("span").css('opacity', '0');

			setTimeout(function() {
				$('.headline-preview-read-more span').css('margin-top', '-68px');
			}, 120);
		});
});