//@prepros-prepend jquery.js
//@prepros-prepend jquery.flexslider.js
//@prepros-prepend jquery.knob.js
//@prepros-prepend popup.js

$(window).load(function() {
	$('.mainSlider').flexslider();

	var $window = $(window),
		flexslider;

	function getGridSize() {
		return (window.innerWidth < 600) ? 4 : (window.innerWidth < 900) ? 5 : 7;
	}

	$('.paymentSystemSlider').flexslider({
		animation: "slide",
	    animationLoop: false,
	    itemWidth: 100,
		minItems: getGridSize(),
		maxItems: getGridSize()
	});

	$('.worksSlider').flexslider({
	    slideshow: false,
		directionNav: false,
		manualControls: '.worksSlider-nav-item'	
	});

	$('.infoSlider').flexslider({
		slideshow: false,
		directionNav: false,
		manualControls: '.learnMore-nav-item',
		smoothHeight: true
	});

	$('.currencyInfoSlider').flexslider({
		slideshow: false,
		directionNav: false,
		manualControls: '.learnMore-nav-item'
	});

	$('.shadowCounter span').each(function (event) {
		flatshadow($(this));
	});
	
	$(window)
		.on('ready',		scrollToActive)
		.on('scroll',		scrollToActive);
		
	function scrollToActive (event) {
		var sectionTop = $('.section-social').offset().top,
			windowTop = $(window).scrollTop(),
			windowHeight = $(window).height(),
			counter = $('.shares-counter'),
			value = counter.data('counter');
		if (block && windowTop + windowHeight * 0.8 > sectionTop) {
			$({someValue: 0}).animate({someValue: value}, {
				duration: 2500,
				easing: 'easeInOutCubic',
				step: function() {
					counter.text(Math.ceil(this.someValue));
				}
			});
			block = false;
		}
	}




/*
	$('.knob').knob({
        "fgColor": "#fff",
        'bgColor': "#1d3241",
	    draw : function () {
	        $(this.i).val(this.cv + '%');
	    }
	})*/
	/*$('.system').click(function (event){
		$('.knob').trigger(
	        'configure',{
		        "fgColor": "#fff",
		        'bgColor': "#1d3241",
		        'inputColor': '#fff'
	        }
	    );
		$(this).find('.knob').trigger(
	        'configure',{
		        "fgColor": "#0696cd",
		        'bgColor': "#0e1a22",
		        'inputColor': '#0696cd'
	        }
	    );
		$(this).addClass('active').siblings().removeClass('active');
	});
*/
	jQuery.easing['jswing'] = jQuery.easing['swing'];

	jQuery.extend( jQuery.easing, {
		def: 'easeOutQuad',
		easeInOutCubic: function (x, t, b, c, d) {
			if ((t/=d/2) < 1) return c/2*t*t*t + b;
			return c/2*((t-=2)*t*t + 2) + b;
		}
	});
/*
	$('input[type="text"], input[type="password"]')
		.focusin(function(){
			var $this = $(this);
			if ($this.val().length === 0) {
				$this.parent().addClass('active').find('label').css('opacity', 0);
			}
		})
		.focusout(function(){
			var $this = $(this);
			if ($this.val().length === 0) {
				$this.parent().removeClass('active').find('label').css('opacity', 1);
			}
		});

	$('.play-video').magnificPopup({
        disableOn: 700,
		type: 'iframe',
		mainClass: 'mfp-fade',
		removalDelay: 160,
		preloader: false,
		fixedContentPos: false
	});
	*/	
/*
	$('.pop-up').click(function (event) {
		event.stopPropagation();
		$(this).fadeOut(200);
	});

	$('.mobileMenu').click(function (event) {
		event.preventDefault();
		$('.mainNav').slideToggle();
	});
	*/
	/*
	$('.mainNav-link').click(function (event) {
		event.preventDefault();
		var $this = $(event.currentTarget).parent();

		// $('.mainNav-item').not($this).removeClass('active').find('.mainNav-subList').slideUp();
		if ( $this.hasClass('active') ) {
			$this.removeClass('active').find('.mainNav-subList').slideUp();
		} else {
			$this.addClass('active').find('.mainNav-subList').slideDown();
		}
	});
	*/

	var block = true;

	

	function flatshadow (obj) {
		var text_shadow = "",
			color = "#1e394a",
			limit = obj.outerHeight();

		for( var i=1; i <= limit; i++ ) {
			text_shadow += i + "px " + i + "px 0px " + color;
			if (i != limit) {
				text_shadow += ", ";
			}

		}

		obj.css("text-shadow", text_shadow);
	}

	

/*
	$('.calculator').each(function (event) {
		var el = this,
			$el = $(el),
			inputCheck = 0,
			ppay = pay();
			
	//pre(ppay.give());
			
		$el.on('click', '.paymentSystem-item', checkSystem);
		$el.on('keypress', '.amountValue input[type="text"]', checkFormAmount);
		$el.on('keyup', '.amountValue input[type="text"]', checkAmount);
		$el.on('keyup', '.amountValue input[type="text"]', changeAmount);
		$el.on('change', '.amountValue-item input[type="radio"]', filter);
		$el.on('change', '.checkout input[type="checkbox"]', unblock);

		function checkSystem (event) {
			
			var $this = $(event.currentTarget),
				minsum = 1.00,
				id = $this[0].offsetParent.id,
				entry = $('.entry#' + id),
				amount = $('.amount#'+ id),
				img = $this.find('img'),
				input = amount.find('input[name="amount_'+id+'"]'),
				input_currency = amount.find('input[name="currency_'+id+'"]'),
				value = input.val(),
				name = $this.find('.paymentSystem-name').text(),
				currency = $this.find('.paymentSystem-value').data('value'),
				src = img[0].src,
				idps = $this.find('.paymentSystem-value').data('idps');
			
			
			if(value <= 0)
			{
				input.val(minsum);
				value = minsum;
			}

			ppay[id](function(param){
				param.amount = value;
				param.currency = currency;
				param.idPS = idps;
				return param;
			});

			amount.find('.amountValue .value').html(formatCurrency(value, currency, (
				function(result){
					return result;
			})));
			input_currency.val(currency);
			input.trigger('focus').prop('readonly', false);
			$this.addClass('active').siblings().removeClass('active');
			entry.addClass('active').find('.paymentsystem').html(name).parent().find('img').attr('src', src);
			
			changeAmount(event, id, currency, value);
			
			if(ppay[id]().invers().amount > 1)
			{
				id = ppay[id]().invers().type;
			}
			OpenForm(id);	
		}
		function checkFormAmount(event) {
			/*var $this = $(this),
				symbol = $this.parent().find('.value').text(),
			 	check = symbol.length;
				pre(symbol);
				pre(check);*//*
				
			if (event.which == 8 || event.which == 46) {
				return true
			} if (event.which < 48 || event.which > 57) {
		        return false;
		    }/* else if (!check) {
		        return false;
		    }	*//*
		}
		function checkAmount (event) {
			var $this = $(this),
				id = $this[0].offsetParent.id,
				value = this.value;
				
				//if(ppay[id]().idPS != 0)
					ppay[id](function(param){
						param.amount = value;
						return param;
					});

		    if (value > '0') {
				OpenForm(id);
		    }
		}
		function OpenForm(id)
		{
			var unselected = $('.unselected'),
				idInput = $el.find('input[name="amount_'+id+'"]').attr('id');	
				
			unselected.find('.' + idInput).addClass('hide');
		    unselected.find('.putAway').addClass('hide');	
			
			if(ppay[id]().idPS != '' && ppay[id]().invers().idPS != '') {
				var $this = $('.checkout'),
					unselected = $this.find('.unselected'),
					selected = $this.find('.selected');

				unselected.addClass('pullDown');
				selected.addClass('pullUp');
				CalculatorFormm(id);
			}	
		}
		
		function CalculatorFormm(id) {
			
			//show = BX.showWait("changer_api_page_inner");
			var idI = ppay[id]().invers().type;
			$.ajax(
			{
				url: "/ajax/pay/index.php",
				dataType: "json",
				type: "POST",
				cache: false,
				data: 
				{
					cmd : 'Calculator',
					params: ppay[id](),
					invers: ppay[id]().invers()
				},
				success: function(data)
				{
					//pre();
					var sum = data.list[ppay[idI]().idPS].curr[ppay[idI]().currency].sum;
					$('#'+ppay[idI]().type+' .data').html(formatCurrency(sum, ppay[idI]().currency));			
					$('input[name=amount_'+ppay[idI]().type+']').val(sum);
					ppay[idI](function(param){
						param.amount = sum;
						return param;
					});
					//BX.closeWait("changer_api_page_inner", show);
				},
				error: function()
				{
					//BX.closeWait("changer_api_page_inner", show);
				}
			});
		}
		
		function changeAmount (event, id, currency, value) {
			var $this = $(this),
				id = id || $this[0].offsetParent.id,
				entry = $('.entry#' + id),
				//symbol = symbol || $this.parent().find('.value').text() || '',
				currency = currency || $('input[name="currency_'+id+'"]').val(),
				value =  value || this.value || 0;

			if (value.length <= 0) {
		    	this.value = '0';
		    } else {
			    entry.find('.data').html(formatCurrency(value, currency));
			}
		}

		function filter (event) {
			var $this = $(event.currentTarget),
				amount = $this.closest('.amount'),
				list = amount.find('.paymentSystem-item'),
				value = list.find('.paymentSystem-value'),
				text = $this.parent().find('label').text();
				// определяем валюту через id и забираем из строки первые три буквы
				id = $this[0].id.slice(0,3);
			if (id === 'all') {
				list.removeClass('pullDown').addClass('pullUp');
			} else {
				var closest = value.filter('[data-value="' + id + '"]').closest(list);
				list.removeClass('pullUp').addClass('pullDown');
				closest.removeClass('pullDown').addClass('pullUp');
			}
		}

		function unblock (event) {
			var $this = $(event.currentTarget),
				selected = $('.selected');
			if ($this[0].checked) {
				selected.find('input[type="text"]').prop('disabled', false);
			} else {
				selected.find('input[type="text"]').prop('disabled', true);
			}
		}

	});
*/
    (function (a) {
        function m() {
            d.setAttribute("content", g), h = !0
        }

        function n() {
            d.setAttribute("content", f), h = !1
        }

        function o(b) {
            l = b.accelerationIncludingGravity,
            i = Math.abs(l.x),
            j = Math.abs(l.y),
            k = Math.abs(l.z),
            (!a.orientation || a.orientation === 180) && (i > 7 || (k > 6 && j < 8 || k < 8 && j > 6) && i > 5) ? h && n() : h || m()
        }
        var b = navigator.userAgent;
        if (!(/iPhone|iPad|iPod/.test(navigator.platform) && /OS [1-5]_[0-9_]* like Mac OS X/i.test(b) && b.indexOf("AppleWebKit") > -1)) return;
        var c = a.document;
        if (!c.querySelector) return;
        var d = c.querySelector("meta[name=viewport]"),
            e = d && d.getAttribute("content"),
            f = e + ",maximum-scale=1",
            g = e + ",maximum-scale=10",
            h = !0,
            i, j, k, l;
        if (!d) return;
        a.addEventListener("orientationchange", m, !1), a.addEventListener("devicemotion", o, !1)
    })(this);
});

function loc(e)
{
	document.location = e;
}